Bug 75627 - strange commands in %prep section of spec-file
strange commands in %prep section of spec-file
Product: Red Hat Linux
Classification: Retired
Component: kdegraphics (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 09:33 EDT by Andrey
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-14 10:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrey 2002-10-10 09:33:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
There are strange commands at the end of %prep-section of the spec-file 

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

test -f Makefile.cvs && make -f Makefile.cvs

Why variable PATH is being exported here ? RPM executes %prep- and %build-
sections separately. PATH doesn't keep its value at the beginning of %build-
section anyway.
All links to necessary versions of autoconf, automake etc. made above will be 
inaccessible. Old versions of those tools will be used. 
Because of this issue (?) configure generates wrong config.h (it's too short). 
The package doesn't build.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Build the SRPM-package as usual

Actual Results:  .....
cd . && /bin/sh /users/work/WORK_DIR/BUILD/kdegraphics-3.0.0/admin/missing --
run autoheader
FATAL ERROR: Autoconf version 2.50 or higher is required for this script
main.cpp(40): error: identifier "VERSION" is undefined
                VERSION, description, KAboutData::License_GPL,

compilation aborted for kcoloredit.all_cpp.cpp (code 2)
make[2]: *** [kcoloredit.all_cpp.o] Error 2

Expected Results:  Here should be no any errors

Additional info:
Comment 1 Sysoltsev Slawa 2002-10-14 10:01:23 EDT
Such error also present in kontrol-panel-4 package (RH73/i386).
Comment 2 Ngo Than 2002-12-08 16:24:26 EST
Hmm, it's correct. the variable PATH have to be exported here, because
autoconf,automake,autoheader,aclocal have to be run from the BUILD directory.

I have rebuilt it several times without having this problem.

Note You need to log in before you can comment on or make changes to this bug.